{**
 * 2007-2017 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/OSL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2017 PrestaShop SA
 * @license   https://opensource.org/licenses/OSL-3.0 Open Software License (OSL 3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}
<div class="panel">
    <h3><i class="icon-tag"></i> {l s='Sms rules' mod='epochta2w'}</h3>
    <div class="productTabs">
        <ul class="tab nav nav-tabs">
            <li class="tab-row">
                <a class="tab-page" id="cart_rule_link_informations" href="javascript:displayCartRuleTab('informations');"><i class="icon-info"></i> {l s='Information event' mod='epochta2w'}</a>
            </li>
            <li class="tab-row">
                <a class="tab-page" id="cart_rule_link_conditions" href="javascript:displayCartRuleTab('conditions');"><i class="icon-random"></i> {l s='Conditions' mod='epochta2w'}</a>
            </li>
            <li class="tab-row">
                <a class="tab-page" id="cart_rule_link_actions" href="javascript:displayCartRuleTab('actions');"><i class="icon-wrench"></i> {l s='Actions' mod='epochta2w'}</a>
            </li>
        </ul>
    </div>
    <script>
        var currentToken = "{$currentToken}";
        var adminCartsToken = "{$adminCartsToken}";
        var adminCartRulesToken = "{$adminCartRulesToken}";
    </script>
    <form action="{$currentIndex|escape}&amp;token={$currentToken|escape}&amp;action={$action}&amp;process=1" id="cart_rule_form" class="form-horizontal" method="post">
            <!-- {if $currentObject->id}<input type="hidden" name="id_cart_rule" value="{$currentObject->id|intval}" />{/if} -->
            <input type="hidden" id="currentFormTab" name="currentFormTab" value="informations" />
            <div id="cart_rule_informations" class="panel cart_rule_tab">
                    {include file="{$module_dir}/epochta2w/views/templates/admin/_configure/helpers/form/informations.tpl"}
            </div>
            <div id="cart_rule_conditions" class="panel cart_rule_tab">
                    {include file="{$module_dir}/epochta2w/views/templates/admin/_configure/helpers/form/conditions.tpl"}
            </div>
            <div id="cart_rule_actions" class="panel cart_rule_tab">
                    {include file="{$module_dir}/epochta2w/views/templates/admin/_configure/helpers/form/actions.tpl"}
            </div>
            {if is_numeric($rule_id)}
                <!-- <input type="hidden" name="rule_id" value="{$rule_id|string_format:"%d"}" /> -->
                <input type="hidden" name="rule_id" value="{$rule_id|intval}" />
            {/if}
    </form>

    <script type="text/javascript">
        var product_rule_groups_counter = {if isset($product_rule_groups_counter)}{$product_rule_groups_counter|intval}{else}0{/if};
        var product_rule_counters = new Array();
        var currentToken = '{$currentToken|escape:'quotes'}';
        var currentFormTab = '{if isset($smarty.post.currentFormTab)}{$smarty.post.currentFormTab|escape:'quotes'}{else}informations{/if}';
        var currentText = '{l s='Now' js=1 d='Admin.Catalog.Feature'}';
        var closeText = '{l s='Done' js=1 d='Admin.Catalog.Feature'}';
        var timeOnlyTitle = '{l s='Choose Time' js=1 d='Admin.Catalog.Feature'}';
        var timeText = '{l s='Time' js=1 d='Admin.Catalog.Feature'}';
        var hourText = '{l s='Hour' js=1 d='Admin.Global'}';
        var minuteText = '{l s='Minute' js=1 d='Admin.Catalog.Feature'}';

        var languages = new Array();
        {foreach from=$languages item=language key=k}
            languages[{$k}] = {
                id_lang: {$language.id_lang},
                iso_code: '{$language.iso_code|escape:'quotes'}',
                name: '{$language.name|escape:'quotes'}'
            };
        {/foreach}
        displayFlags(languages, {$id_lang_default});
    </script>
    <!-- <script type="text/javascript" src="themes/default/template/controllers/cart_rules/form.js"></script> -->
    <script type="text/javascript" src="/modules/epochta2w/views/templates/admin/_configure/helpers/form/form.js"></script>
    {include file="footer_toolbar.tpl"}
</div>
