{*
* 2007-2015 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2015 PrestaShop SA
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}
<div class="panel"><h3><i class="icon-list-ul"></i> {l s='List rules' mod='epochta2w'}
    <span class="panel-heading-action">
        <a id="desc-product-new" class="list-toolbar-btn" href="{$link->getAdminLink('AdminModules')}&configure=epochta2w&action=add_rule">
            <span title="" data-toggle="tooltip" class="label-tooltip" data-original-title="{l s='Add new' d='Admin.Actions'}" data-html="true">
                <i class="process-icon-new "></i>
            </span>
        </a>
    </span>
    </h3>
    <div>
        <div>
            {foreach from=$rules key=i item=rule}
                <div id="rule_{$i}" class="panel">
                    <div class="row">
                        <div class="col-lg-3">
                            <h4 class="pull-left" title=
                                "
                                {if $rule.event_type eq 'actionAdminOrdersTrackingNumberUpdate'}
                                    -
                                {elseif $rule.event_type eq 'actionOrderReturn'}
                                    {l s='This hook is displayed when a customer returns a product ' mod='epochta2w'}
                                {elseif $rule.event_type eq 'actionOrderStatusPostUpdate'}
                                    -
                                {elseif $rule.event_type eq 'actionOrderStatusUpdate'}
                                    {l s='This hook launches modules when the status of an order changes ' mod='epochta2w'}
                                {elseif $rule.event_type eq 'actionPaymentConfirmation'}
                                    {l s='This hook displays new elements after the payment is validated ' mod='epochta2w'}
                                {elseif $rule.event_type eq 'actionPasswordRenew'}
                                    -
                                {elseif $rule.event_type eq 'actionValidateOrder'}
                                    -
                                {elseif $rule.event_type eq 'actionAuthentication'}
                                    {l s='This hook is displayed after a customer successfully signs in ' mod='epochta2w'}
                                {/if}
                                ">
                                {if $rule.event_type eq 'actionAdminOrdersTrackingNumberUpdate'}
                                    Orders tracking number update
                                {elseif $rule.event_type eq 'actionOrderReturn'}
                                    Returned product
                                {elseif $rule.event_type eq 'actionProductCancel'}
                                    Product cancel
                                {elseif $rule.event_type eq 'actionOrderStatusPostUpdate'}
                                    Post update of order status
                                {elseif $rule.event_type eq 'actionOrderStatusUpdate'}
                                    Order status update - Event
                                {elseif $rule.event_type eq 'actionPaymentConfirmation'}
                                    Payment confirmation
                                {elseif $rule.event_type eq 'actionPasswordRenew'}
                                    Password renew
                                {elseif $rule.event_type eq 'actionValidateOrder'}
                                    New orders
                                {elseif $rule.event_type eq 'actionAuthentication'}
                                    Successful customer authentication
                                {/if}
                            </h4>
                        </div>
                        <div class="col-md-6">
                            <div class="form-horizontal">
                                
                                {if $rule.date_from}
                                <div class="row">
                                    <div class="control-label col-lg-3">{l s='Date from' mod='epochta2w'}</div>
                                    <div class="col-lg-9"><p class="form-control-static">{$rule.date_from}</p></div>
                                </div>
                                {/if}
                                
                                {if $rule.date_to}
                                <div class="row">
                                    <div class="control-label col-lg-3">{l s='Date to' mod='epochta2w'}</div>
                                    <div class="col-lg-9"><p class="form-control-static">{$rule.date_to}</p></div>
                                </div>
                                {/if}
                                
                                <div class="row">
                                    <div class="control-label col-lg-3">{l s='new sender' mod='epochta2w'}</div>
                                    <div class="col-lg-9"><p class="form-control-static">{$rule.sender_name}</p></div>
                                </div>
                                
                                <div class="row">
                                    <div class="control-label col-lg-3">{l s='Text translite' mod='epochta2w'}</div>
                                    <div class="col-lg-9">
                                        <p class="form-control-static">
                                            {if $rule.translit}{l s='Yes' d='Admin.Global'}{else}{l s='No' d='Admin.Global'}{/if}
                                        </p>
                                    </div>
                                </div>
                                
                                <div class="row">
                                    <div class="control-label col-lg-3">{l s='Sms body' mod='epochta2w'}</div>
                                    <div class="col-lg-9"><p class="form-control-static"><pre>{$rule.sms_body}</pre></p></div>
                                </div>
                            </div>

                        </div>
                        <div class="col-md-3">
                            <div class="btn-group-action pull-right" style="width: 200px">
                                {if $rule.active eq '1'}
                                    <a class="btn btn-success" style="width: 100%"
                                       href="{$link->getAdminLink('AdminModules')}&action=edit_status&process=1&status=0&configure=epochta2w&amp;rule_id={$i}&amp;process=1" 
                                       title="{l s='Enable' mod='epochta2w'}">
                                        <i class="icon-check"></i> {l s='Disable' mod='epochta2w'}</a>
                                {else}
                                    <a class="btn btn-danger" style="width: 100%"
                                       href="{$link->getAdminLink('AdminModules')}&action=edit_status&process=1&status=1&configure=epochta2w&amp;rule_id={$i}&amp;process=1" 
                                       title="{l s='Disable' mod='epochta2w'}">
                                        <i class="icon-check"></i> {l s='Enable' mod='epochta2w'}</a>
                                {/if}
                                <a class="btn btn-default"style="width: 100%"
                                    href="{$link->getAdminLink('AdminModules')}&action=edit_rule&configure=epochta2w&rule_id={$i}">
                                    <i class="icon-edit"></i>
                                    {l s='Edit' d='Admin.Actions'}
                                </a>
                                <a class="btn btn-default" style="width: 100%"
                                    href="{$link->getAdminLink('AdminModules')}&action=delete_rule&configure=epochta2w&rule_id={$i}&amp;process=1">
                                    <i class="icon-trash"></i>
                                    {l s='Delete' d='Admin.Actions'}
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            {/foreach}
        </div>
    </div>
</div>
