{*
* 2007-2015 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2015 PrestaShop SA
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}
{**
 * 2007-2017 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/OSL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2017 PrestaShop SA
 * @license   https://opensource.org/licenses/OSL-3.0 Open Software License (OSL 3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}

{* Display column names and arrows for ordering (ASC, DESC) *}
{if $is_order_position}
    <script type="text/javascript" src="../js/jquery/plugins/jquery.tablednd.js"></script>
    <script type="text/javascript">
            var come_from = '{$list_id|addslashes}';
            var alternate = {if $order_way == 'DESC'}'1'{else}'0'{/if};
    </script>
    <script type="text/javascript" src="../js/admin/dnd.js"></script>
{/if}

{block name="override_header"}{/block}

{hook h='displayAdminListBefore'}

{if isset($name_controller)}
    {capture name=hookName assign=hookName}display{$name_controller|ucfirst}ListBefore{/capture}
    {hook h=$hookName}
{elseif isset($smarty.get.controller)}
    {capture name=hookName assign=hookName}display{$smarty.get.controller|ucfirst|htmlentities}ListBefore{/capture}
    {hook h=$hookName}
{/if}

<div class="alert alert-warning" id="{$list_id}-empty-filters-alert" style="display:none;">{l s='Please fill at least one field to perform a search in this list.'}</div>

{block name="startForm"}
    <form method="post" action="{$action|escape:'html':'UTF-8'}" class="form-horizontal clearfix" id="form-{$list_id}">
{/block}
    <input type="hidden" id="submitFilter{$list_id}" name="submitFilter{$list_id}" value="0"/>
    <input type="hidden" name="page" value="{$page|intval}"/>
    <input type="hidden" name="selected_pagination" value="{$selected_pagination|intval}"/>

    <div class="panel col-lg-12">
        {if isset($title)}<h3>{if isset($icon)}<i class="{$icon}"></i> {/if}{if is_array($title)}{$title|end}{else}{$title}{/if}</h3>{/if}
    <style>
    @media (max-width: 992px) {
        {foreach from=$fields_display item=param name=params}
            .table-responsive-row td:nth-of-type({math equation="x+y" x=$smarty.foreach.params.index y=$y}):before {
                content: "{$param.title}";
            }
        {/foreach}
    }
    </style>

{block name="preTable"}{/block}
    <div class="table-responsive-row clearfix{if isset($use_overflow) && $use_overflow} overflow-y{/if}">
        <table{if $table_id} id="table-{$table_id}"{/if} class="table{if $table_dnd} tableDnD{/if} {$table}" >
            <thead>
                <tr class="nodrag nodrop">
                    {if $bulk_actions && $has_bulk_actions}
                        <th class="center fixed-width-xs"></th>
                    {/if}
                    {foreach $fields_display AS $key => $params}
                    <th class="{if isset($params.class)}{$params.class}{/if}{if isset($params.align)} {$params.align}{/if}">
                        <span class="title_box{if isset($order_by) && ($key == $order_by)} active{/if}">
                            {if isset($params.hint)}
                                <span class="label-tooltip" data-toggle="tooltip"
                                    title="
                                        {if is_array($params.hint)}
                                            {foreach $params.hint as $hint}
                                                {if is_array($hint)}
                                                    {$hint.text}
                                                {else}
                                                    {$hint}
                                                {/if}
                                            {/foreach}
                                        {else}
                                            {$params.hint}
                                        {/if}
                                    ">
                                    {$params.title}
                                </span>
                            {else}
                                {$params.title}
                            {/if}
                            {if (!isset($params.orderby) || $params.orderby) && !$simple_header && $show_filters}
                                <a {if isset($order_by) && ($key == $order_by) && ($order_way == 'DESC')}class="active"{/if} href="{$currentIndex|escape:'html':'UTF-8'}&amp;{$list_id}Orderby={$key|urlencode}&amp;{$list_id}Orderway=desc&amp;token={$token|escape:'html':'UTF-8'}{if isset($smarty.get.$identifier)}&amp;{$identifier}={$smarty.get.$identifier|intval}{/if}">
                                    <i class="icon-caret-down"></i>
                                </a>
                                <a {if isset($order_by) && ($key == $order_by) && ($order_way == 'ASC')}class="active"{/if} href="{$currentIndex|escape:'html':'UTF-8'}&amp;{$list_id}Orderby={$key|urlencode}&amp;{$list_id}Orderway=asc&amp;token={$token|escape:'html':'UTF-8'}{if isset($smarty.get.$identifier)}&amp;{$identifier}={$smarty.get.$identifier|intval}{/if}">
                                    <i class="icon-caret-up"></i>
                                </a>
                            {/if}
                        </span>
                    </th>
                    {/foreach}
                </tr>
                {if !$simple_header && $show_filters}
                    <tr class="nodrag nodrop filter {if $row_hover}row_hover{/if}">
                        {if $has_bulk_actions}
                            <th class="text-center">
                                --
                            </th>
                        {/if}
                        {* Filters (input, select, date or bool) *}
                        {foreach $fields_display AS $key => $params}
                            <th {if isset($params.align)} class="{$params.align}" {/if}>
                                {if isset($params.search) && !$params.search}
                                    --
                                {else}
                                    {if $params.type == 'bool'}
                                        <select class="filter fixed-width-sm center" onchange="$('#submitFilterButton{$list_id}').focus();$('#submitFilterButton{$list_id}').click();" name="{$list_id}Filter_{if isset($params.filter_key)}{$params.filter_key}{else}{$key}{/if}">
                                            <option value="">-</option>
                                            <option value="1" {if $params.value == 1} selected="selected" {/if}>{l s='Yes' d='Admin.Global'}</option>
                                            <option value="0" {if $params.value == 0 && $params.value != ''} selected="selected" {/if}>{l s='No' d='Admin.Global'}</option>
                                        </select>
                                    {elseif $params.type == 'date' || $params.type == 'datetime'}
                                        <div class="date_range row">
                                            <div class="input-group fixed-width-md center">
                                                <input type="text" class="filter datepicker date-input form-control" id="local_{$params.id_date}_0" name="local_{$params.name_date}[0]"  placeholder="{l s='From'}" />
                                                <input type="hidden" id="{$params.id_date}_0" name="{$params.name_date}[0]" value="{if isset($params.value.0)}{$params.value.0}{/if}">
                                                <span class="input-group-addon">
                                                    <i class="icon-calendar"></i>
                                                </span>
                                            </div>
                                            <div class="input-group fixed-width-md center">
                                                <input type="text" class="filter datepicker date-input form-control" id="local_{$params.id_date}_1" name="local_{$params.name_date}[1]"  placeholder="{l s='To'}" />
                                                <input type="hidden" id="{$params.id_date}_1" name="{$params.name_date}[1]" value="{if isset($params.value.1)}{$params.value.1}{/if}">
                                                <span class="input-group-addon">
                                                    <i class="icon-calendar"></i>
                                                </span>
                                            </div>
                                            <script>
                                                $(function() {
                                                    var dateStart = parseDate($("#{$params.id_date}_0").val());
                                                    var dateEnd = parseDate($("#{$params.id_date}_1").val());
                                                    $("#local_{$params.id_date}_0").datepicker("option", "altField", "#{$params.id_date}_0");
                                                    $("#local_{$params.id_date}_1").datepicker("option", "altField", "#{$params.id_date}_1");
                                                    if (dateStart !== null){
                                                        $("#local_{$params.id_date}_0").datepicker("setDate", dateStart);
                                                    }
                                                    if (dateEnd !== null){
                                                        $("#local_{$params.id_date}_1").datepicker("setDate", dateEnd);
                                                    }
                                                });
                                            </script>
                                        </div>
                                    {elseif $params.type == 'select'}
                                        {if isset($params.filter_key)}
                                            <select class="filter{if isset($params.align) && $params.align == 'center'}center{/if}" onchange="$('#submitFilterButton{$list_id}').focus();$('#submitFilterButton{$list_id}').click();" name="{$list_id}Filter_{$params.filter_key}" {if isset($params.width)} style="width:{$params.width}px"{/if}>
                                                <option value="" {if $params.value == ''} selected="selected" {/if}>-</option>
                                                {if isset($params.list) && is_array($params.list)}
                                                    {foreach $params.list AS $option_value => $option_display}
                                                        <option value="{$option_value}" {if (string)$option_display === (string)$params.value ||  (string)$option_value === (string)$params.value} selected="selected"{/if}>{$option_display}</option>
                                                    {/foreach}
                                                {/if}
                                            </select>
                                        {/if}
                                    {else}
                                        <input type="text" class="filter" name="{$list_id}Filter_{if isset($params.filter_key)}{$params.filter_key}{else}{$key}{/if}" value="{$params.value|escape:'html':'UTF-8'}" {if isset($params.width) && $params.width != 'auto'} style="width:{$params.width}px"{/if} />
                                    {/if}
                                {/if}
                            </th>
                        {/foreach}
                        {if $multishop_active && $shop_link_type}
                            <th>--</th>
                        {/if}
                        {if $has_actions || $show_filters}
                            <th class="actions">
                                {if $show_filters}
                                <span class="pull-right">
                                    {*Search must be before reset for default form submit*}
                                    <button type="submit" id="submitFilterButton{$list_id}" name="submitFilter" class="btn btn-default" data-list-id="{$list_id}">
                                        <i class="icon-search"></i> {l s='Search' d='Admin.Actions'}
                                    </button>
                                    {if $filters_has_value}
                                        <button type="submit" name="submitReset{$list_id}" class="btn btn-warning">
                                            <i class="icon-eraser"></i> {l s='Reset'}
                                        </button>
                                    {/if}
                                </span>
                                {/if}
                            </th>
                        {/if}
                    </tr>
                {/if}
            </thead>
            {capture name='tr_count'}{counter name='tr_count'}{/capture}
            <tbody>
            {if count($list)}
            {foreach $list AS $index => $tr}
                <tr{if $position_identifier} id="tr_{$position_group_identifier}_{$tr.$identifier}_{if isset($tr.position['position'])}{$tr.position['position']}{else}0{/if}"{/if} class="{if isset($tr.class)}{$tr.class}{/if} {if $tr@iteration is odd by 1}odd{/if}"{if isset($tr.color) && $color_on_bg} style="background-color: {$tr.color}"{/if} >
                    {if $bulk_actions && $has_bulk_actions}
                        <td class="row-selector text-center">
                            {if isset($list_skip_actions.delete)}
                                {if !in_array($tr.$identifier, $list_skip_actions.delete)}
                                    <input type="checkbox" name="{$list_id}Box[]" value="{$tr.$identifier}"{if isset($checked_boxes) && is_array($checked_boxes) && in_array({$tr.$identifier}, $checked_boxes)} checked="checked"{/if} class="noborder" />
                                {/if}
                            {else}
                                <input type="checkbox" name="{$list_id}Box[]" value="{$tr.$identifier}"{if isset($checked_boxes) && is_array($checked_boxes) && in_array({$tr.$identifier}, $checked_boxes)} checked="checked"{/if} class="noborder" />
                            {/if}
                        </td>
                    {/if}
                        {foreach $fields_display AS $key => $params}
                            {block name="open_td"}
                                <td
                                    {if isset($params.position)}
                                        id="td_{if !empty($position_group_identifier)}{$position_group_identifier}{else}0{/if}_{$tr.$identifier}{if $smarty.capture.tr_count > 1}_{($smarty.capture.tr_count - 1)|intval}{/if}"
                                    {/if}
                                    class="{strip}{if !$no_link}pointer{/if}
                                    {if isset($params.position) && $order_by == 'position'  && $order_way != 'DESC'} dragHandle{/if}
                                    {if isset($params.class)} {$params.class}{/if}
                                    {if isset($params.align)} {$params.align}{/if}{/strip}"
                                    {if (!isset($params.position) && !$no_link && !isset($params.remove_onclick))}
                                        onclick="document.location = '{$current_index|escape:'html':'UTF-8'}&amp;{$identifier|escape:'html':'UTF-8'}={$tr.$identifier|escape:'html':'UTF-8'}{if $view}&amp;view{else}&amp;update{/if}{$table|escape:'html':'UTF-8'}{if $page > 1}&amp;page={$page|intval}{/if}&amp;token={$token|escape:'html':'UTF-8'}'">
                                    {else}
                                    >
                                    {/if}
                                {/block}
                                {block name="td_content"}
                                    {if isset($params.prefix)}{$params.prefix}{/if}
                                    {if isset($params.badge_success) && $params.badge_success && isset($tr.badge_success) && $tr.badge_success == $params.badge_success}<span class="badge badge-success">{/if}
                                    {if isset($params.badge_warning) && $params.badge_warning && isset($tr.badge_warning) && $tr.badge_warning == $params.badge_warning}<span class="badge badge-warning">{/if}
                                    {if isset($params.badge_danger) && $params.badge_danger && isset($tr.badge_danger) && $tr.badge_danger == $params.badge_danger}<span class="badge badge-danger">{/if}
                                    {if isset($params.color) && isset($tr[$params.color])}
                                        <span class="label color_field" style="background-color:{$tr[$params.color]};color:{if Tools::getBrightness($tr[$params.color]) < 128}white{else}#383838{/if}">
                                    {/if}
                                    {if isset($tr.$key)}
                                            {if isset($params.active)}
                                                {$tr.$key}
                                            {elseif isset($params.callback)}
                                                {if isset($params.maxlength) && Tools::strlen($tr.$key) > $params.maxlength}
                                                    <span title="{$tr.$key}">{$tr.$key|truncate:$params.maxlength:'...'}</span>
                                                {else}
                                                    {$tr.$key}
                                                {/if}
                                            {elseif isset($params.activeVisu)}
                                                {if $tr.$key}
                                                    <i class="icon-check-ok"></i> {l s='Enabled' d='Admin.Global'}
                                                {else}
                                                    <i class="icon-remove"></i> {l s='Disabled' d='Admin.Global'}
                                                {/if}
                                            {elseif isset($params.position)}
                                                {if !$filters_has_value && $order_by == 'position' && $order_way != 'DESC'}
                                                    <div class="dragGroup">
                                                        <div class="positions">
                                                            {$tr.$key.position + 1}
                                                        </div>
                                                    </div>
                                                {else}
                                                    {$tr.$key.position + 1}
                                                {/if}
                                            {elseif isset($params.image)}
                                                    {$tr.$key}
                                            {elseif isset($params.icon)}
                                                {if is_array($tr[$key])}
                                                    {if isset($tr[$key]['class'])}
                                                        <i class="{$tr[$key]['class']}"></i>
                                                    {else}
                                                        <img src="../img/admin/{$tr[$key]['src']}" alt="{$tr[$key]['alt']}" title="{$tr[$key]['alt']}" />
                                                    {/if}
                                                {/if}
                                            {elseif isset($params.type) && $params.type == 'price'}
                                                    {displayPrice price=$tr.$key}
                                            {elseif isset($params.float)}
                                                    {$tr.$key}
                                            {elseif isset($params.type) && $params.type == 'date'}
                                                    {dateFormat date=$tr.$key full=0}
                                            {elseif isset($params.type) && $params.type == 'datetime'}
                                                    {dateFormat date=$tr.$key full=1}
                                            {elseif isset($params.type) && $params.type == 'decimal'}
                                                    {$tr.$key|string_format:"%.2f"}
                                            {elseif isset($params.type) && $params.type == 'percent'}
                                                    {$tr.$key} {l s='%'}
                                            {elseif isset($params.type) && $params.type == 'bool'}
                                                {if $tr.$key == 1}
                                                  {l s='Yes' d='Admin.Global'}
                                                {elseif $tr.$key == 0 && $tr.$key != ''}
                                                  {l s='No' d='Admin.Global'}
                                                {/if}
                                            {* If type is 'editable', an input is created *}
                                            {elseif isset($params.type) && $params.type == 'editable' && isset($tr.id)}
                                                    <input type="text" name="{$key}_{$tr.id}" value="{$tr.$key|escape:'html':'UTF-8'}" class="{$key}" />
                                            {elseif $key == 'color'}
                                                    {if !is_array($tr.$key)}
                                                    <div style="background-color: {$tr.$key};" class="attributes-color-container"></div>
                                                    {else} {*TEXTURE*}
                                                    <img src="{$tr.$key.texture}" alt="{$tr.name}" class="attributes-color-container" />
                                                    {/if}
                                            {elseif isset($params.maxlength) && Tools::strlen($tr.$key) > $params.maxlength}
                                                <span title="{$tr.$key|escape:'html':'UTF-8'}">{$tr.$key|truncate:$params.maxlength:'...'|escape:'html':'UTF-8'}</span>
                                            {else}
                                                {$tr.$key|escape:'html':'UTF-8'}
                                            {/if}
                                    {else}
                                        {block name="default_field"}--{/block}
                                    {/if}
                                    {if isset($params.suffix)}{$params.suffix}{/if}
                                    {if isset($params.color) && isset($tr.color)}
                                        </span>
                                    {/if}
                                    {if isset($params.badge_danger) && $params.badge_danger && isset($tr.badge_danger) && $tr.badge_danger == $params.badge_danger}</span>{/if}
                                    {if isset($params.badge_warning) && $params.badge_warning && isset($tr.badge_warning) && $tr.badge_warning == $params.badge_warning}</span>{/if}
                                    {if isset($params.badge_success) && $params.badge_success && isset($tr.badge_success) && $tr.badge_success == $params.badge_success}</span>{/if}
                                {/block}
                                {block name="close_td"}
                                    </td>
                                {/block}
                        {/foreach}

                    {if $multishop_active && $shop_link_type}
                        <td title="{$tr.shop_name}">
                            {if isset($tr.shop_short_name)}
                                {$tr.shop_short_name}
                            {else}
                                {$tr.shop_name}
                            {/if}
                        </td>
                    {/if}
                    {if $has_actions}
                        <td class="text-right">
                            {assign var='compiled_actions' value=array()}
                            {foreach $actions AS $key => $action}
                                {if isset($tr.$action)}
                                    {if $key == 0}
                                        {assign var='action' value=$action}
                                    {/if}
                                    {if $action == 'delete' && $actions|@count > 2}
                                        {$compiled_actions[] = 'divider'}
                                    {/if}
                                    {$compiled_actions[] = $tr.$action}
                                {/if}
                            {/foreach}
                            {if $compiled_actions|count > 0}
                                {if $compiled_actions|count > 1}<div class="btn-group-action">{/if}
                                <div class="btn-group pull-right">
                                    {$compiled_actions[0]}
                                    {if $compiled_actions|count > 1}
                                    <button class="btn btn-default dropdown-toggle" data-toggle="dropdown">
                                        <i class="icon-caret-down"></i>&nbsp;
                                    </button>
                                        <ul class="dropdown-menu">
                                        {foreach $compiled_actions AS $key => $action}
                                            {if $key != 0}
                                            <li{if $action == 'divider' && $compiled_actions|count > 3} class="divider"{/if}>
                                                {if $action != 'divider'}{$action}{/if}
                                            </li>
                                            {/if}
                                        {/foreach}
                                        </ul>
                                    {/if}
                                </div>
                                {if $compiled_actions|count > 1}</div>{/if}
                            {/if}
                        </td>
                    {/if}
                    </tr>
            {/foreach}
            {else}
                <tr>
                    <td class="list-empty" colspan="{count($fields_display)+1}">
                        <div class="list-empty-msg">
                            <i class="icon-warning-sign list-empty-icon"></i>
                            {l s='No records found'}
                        </div>
                    </td>
                </tr>
            {/if}
            </tbody>
        </table>
    </div>
                        
<div class="row">
    <div class="col-lg-6">
        {if $bulk_actions && $has_bulk_actions}
        <div class="btn-group bulk-actions dropup">
            <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
                    {l s='Bulk actions' d='Admin.Global'} <span class="caret"></span>
            </button>
            <ul class="dropdown-menu">
                <li>
                    <a href="#" onclick="javascript:checkDelBoxes($(this).closest('form').get(0), '{$list_id}Box[]', true);return false;">
                        <i class="icon-check-sign"></i>&nbsp;{l s='Select all'}
                    </a>
                </li>
                <li>
                    <a href="#" onclick="javascript:checkDelBoxes($(this).closest('form').get(0), '{$list_id}Box[]', false);return false;">
                        <i class="icon-check-empty"></i>&nbsp;{l s='Unselect all'}
                    </a>
                </li>
                <li class="divider"></li>
                {foreach $bulk_actions as $key => $params}
                    <li{if $params.text == 'divider'} class="divider"{/if}>
                        {if $params.text != 'divider'}
                        <a href="#" onclick="{if isset($params.confirm)}if (confirm('{$params.confirm}')){/if}sendBulkAction($(this).closest('form').get(0), 'submitBulk{$key}{$table}');">
                            {if isset($params.icon)}<i class="{$params.icon}"></i>{/if}&nbsp;{$params.text}
                        </a>
                        {/if}
                    </li>
                {/foreach}
            </ul>
        </div>
        {/if}
    </div>
    {if $list_total > $pagination[0]}
    <div class="col-lg-6">
        {* Choose number of results per page *}
        <div class="pagination">
            {l s='Display'}
            <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
                {$selected_pagination}
                <i class="icon-caret-down"></i>
            </button>
            <ul class="dropdown-menu">
            {foreach $pagination AS $value}
                <li>
                    <a href="javascript:void(0);" class="pagination-items-page" data-items="{$value|intval}" data-list-id="{$list_id}">{$value}</a>
                </li>
            {/foreach}
            </ul>
            / {$list_total} {l s='result(s)'}
            <input type="hidden" id="{$list_id}-pagination-items-page" name="{$list_id}_pagination" value="{$selected_pagination|intval}" />
        </div>
        <script type="text/javascript">
            $('.pagination-items-page').on('click',function(e){
                e.preventDefault();
                $('#'+$(this).data("list-id")+'-pagination-items-page').val($(this).data("items")).closest("form").submit();
            });
        </script>
        <ul class="pagination pull-right">
            <li {if $page <= 1}class="disabled"{/if}>
                <a href="javascript:void(0);" class="pagination-link" data-page="1" data-list-id="{$list_id}">
                    <i class="icon-double-angle-left"></i>
                </a>
            </li>
            <li {if $page <= 1}class="disabled"{/if}>
                <a href="javascript:void(0);" class="pagination-link" data-page="{$page - 1}" data-list-id="{$list_id}">
                    <i class="icon-angle-left"></i>
                </a>
            </li>
            {assign p 0}
            {while $p++ < $total_pages}
                {if $p < $page-2}
                    <li class="disabled">
                        <a href="javascript:void(0);">&hellip;</a>
                    </li>
                    {assign p $page-3}
                {elseif $p > $page+2}
                    <li class="disabled">
                        <a href="javascript:void(0);">&hellip;</a>
                    </li>
                    {assign p $total_pages}
                {else}
                    <li {if $p == $page}class="active"{/if}>
                        <a href="javascript:void(0);" class="pagination-link" data-page="{$p}" data-list-id="{$list_id}">{$p}</a>
                    </li>
                {/if}
            {/while}
            <li {if $page >= $total_pages}class="disabled"{/if}>
                <a href="javascript:void(0);" class="pagination-link" data-page="{$page + 1}" data-list-id="{$list_id}">
                    <i class="icon-angle-right"></i>
                </a>
            </li>
            <li {if $page >= $total_pages}class="disabled"{/if}>
                <a href="javascript:void(0);" class="pagination-link" data-page="{$total_pages}" data-list-id="{$list_id}">
                    <i class="icon-double-angle-right"></i>
                </a>
            </li>
        </ul>
        <script type="text/javascript">
            $('.pagination-link').on('click',function(e){
                e.preventDefault();
                if (!$(this).parent().hasClass('disabled'))
                    $('#submitFilter'+$(this).data("list-id")).val($(this).data("page")).closest("form").submit();
            });
        </script>
    </div>
    {/if}
</div>
{block name="footer"}
{foreach from=$toolbar_btn item=btn key=k}
    {if $k == 'back'}
        {assign 'back_button' $btn}
        {break}
    {/if}
{/foreach}
{if isset($back_button)}
<div class="panel-footer">
    <a id="desc-{$table}-{if isset($back_button.imgclass)}{$back_button.imgclass}{else}{$k}{/if}" class="btn btn-default{if isset($back_button.target) && $back_button.target} _blank{/if}"{if isset($back_button.href)} href="{$back_button.href|escape:'html':'UTF-8'}"{/if}{if isset($back_button.js) && $back_button.js} onclick="{$back_button.js}"{/if}>
        <i class="process-icon-back {if isset($back_button.class)}{$back_button.class}{/if}" ></i> <span {if isset($back_button.force_desc) && $back_button.force_desc == true } class="locked" {/if}>{$back_button.desc}</span>
    </a>
</div>
{/if}
{/block}
{if !$simple_header}
        <input type="hidden" name="token" value="{$token|escape:'html':'UTF-8'}" />
    </div>
{else}
    </div>
{/if}

{hook h='displayAdminListAfter'}
{if isset($name_controller)}
    {capture name=hookName assign=hookName}display{$name_controller|ucfirst}ListAfter{/capture}
    {hook h=$hookName}
{elseif isset($smarty.get.controller)}
    {capture name=hookName assign=hookName}display{$smarty.get.controller|ucfirst|htmlentities}ListAfter{/capture}
    {hook h=$hookName}
{/if}

{block name="endForm"}
</form>
{/block}

{block name="after"}{/block}
